Announcement

Collapse
No announcement yet.

Importing data from 2.3.0 into 3.0.1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Importing data from 2.3.0 into 3.0.1

    Hi

    I'm ready to move to 3.0.1 and want to do a clean sweep. That means that I have installed 3.0.1 as new in a subdir getting it translated and ready for launch.

    I want to be able to export users, forums and posts from my old 2.3.0 board and import them into the new 3.0.1.

    If I try to get them in through mySQL, then I am told there are too many fields due to various hacks. I know that the hacks can't move to 3.0.1 and that is not a problem but a blessing.

    How do I strip the .sql file for incorrect fields so that I can move users, forums and posts?

    Love from Denmark and a very happy user
    -Marianne

  • #2
    There is no easy way to import the vB2 data to vB3. You will need to run through the upgrade process.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      It would be simplist to just upgrade to vB3, however if you really want to "Import" the data, youll need to upgrade to vB3 then import vB3 a to vB3 b

      Comment


      • #4
        Originally posted by Zachery
        It would be simplist to just upgrade to vB3, however if you really want to "Import" the data, youll need to upgrade to vB3 then import vB3 a to vB3 b
        Thanks

        That is going to mean a lot of downtime
        Well, at least I found out before I did too much work. I suppose I can translate and then export the language to the upgraded 3.0.1 version witch is the hardest part. Just wanted to get a few hacks and styles done before hand. I'm working with teen girls and they tend to go crazy when I make any changes, wonder how they will like this one )

        Comment


        • #5
          You dont need to change your files, you can just download the style and languages.

          Then change the config to point to the vB2 database and upgrade just backup before you begin g

          Comment


          • #6
            Originally posted by Zachery
            You dont need to change your files, you can just download the style and languages.

            Then change the config to point to the vB2 database and upgrade just backup before you begin g
            OK, think I need it spelled out.

            I do not want to keep old files, I want to get rid of all hacks (a lot) and start from clean board only taking members, forum and posts with me.

            Therefor I saw it as the best solution to install a fresh 3.0.1, get it ready and then export sql from 2.3.0 and import into 3.0.1. But as mentioned, there are too many new fields in the tables due to hacks to be able to import into mySQL.

            Is there a way around this or have I misunderstood you

            Comment


            • #7
              We've been asking for this capability for some time now. No dice yet.

              I too would like to be able to get my vB3 "ready" and then have a rapid importation of my vB2 into vB3.

              Comment


              • #8
                There is no way to import vB2 data into vB3. The only option at this time is to upgrade.
                Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                Change CKEditor Colors to Match Style (for 4.1.4 and above)

                Steve Machol Photography


                Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                Comment


                • #9
                  Originally posted by Steve Machol
                  There is no way to import vB2 data into vB3. The only option at this time is to upgrade.
                  How come you offer importes to Infopop Ultimate Bulletin Board 5, Infopop Ultimate Bulletin Board 6.0, 6.1 and 6.2, Infopop UBBThreads 5.4 (formerly wwwthreads), vBulletin Lite, Infopop OpenTopic/UBB.x, Ikonboard 2, Ikonboard 3, phpBB2, DC Forum, XMB, and ezboard, but not your own systems?

                  Here you can import posts, threads and users, just what we want to do from vB 2.3.0 but can't? (Might have misunderstood - is it importers to 2.x.x?)

                  Doing an upgrade will cause a lot of problems with previous installed hacks that do not work with 3.0.1. I know that the hacks isn't your problem, but still something most users use to make your script even more fun for our users.

                  Will you be offering this and what is the timeline. Is it something we can pay to have done?
                  Last edited by mariannet; Wed 23rd Jun '04, 3:27am.

                  Comment


                  • #10
                    Because an upgrade and an import are two different things. vB2 -> vB3 is an upgrade and a different system -> vB3 is an import.

                    There is a link to a poll in my signature where you can vote and register your interest in having a vB2->vB3 importer.
                    I wrote ImpEx.

                    Blog | Me

                    Comment


                    • #11
                      Originally posted by Jerry
                      Because an upgrade and an import are two different things. vB2 -> vB3 is an upgrade and a different system -> vB3 is an import.

                      There is a link to a poll in my signature where you can vote and register your interest in having a vB2->vB3 importer.
                      OK, have voted and as we are customers and paying for the use of this wonderful board, then I think you should do us next

                      Comment


                      • #12
                        At this time you wouldnt get everything your vB2 board had either. Youd loose stuff in the import, as of now no attachments are brought over.

                        Comment


                        • #13
                          Originally posted by Zachery
                          At this time you wouldnt get everything your vB2 board had either. Youd loose stuff in the import, as of now no attachments are brought over.
                          Ohh.. my girls would just loove that, they have more than 130MB of attachments

                          Comment


                          • #14
                            • Revert all templates to originals and remove templates installed by hacks.
                            • Remove all of my own replacement sets.
                            • Remove all of my own styles.
                            • Overwrite all vBulletin files with originals (not hacked). Where can I get a clean version 2.3.0?
                            • Will an upgrade remove the ekstra fields and rows in my database installed by hacks?
                            • If not, will they not cause a problem later?
                            • The words said “Youd loose stuff in the import, as of now no attachments are brought over” does not apply to an upgrade, right?
                            • As for the translating being done, ready for the upgrade, I’m translating a clean 3.0.1 installed in a sub dir and then exporting language files before importing into my upgraded board. Sound ok?


                            Will this work to clean a hacked 2.3.0 board before upgrading?
                            Will I succeed or spend all summer banging my head against the wall?

                            - and thank you so much for your time

                            Comment


                            • #15
                              Upgrading will not remove additional tables and fields added by hacks.

                              I recommend you run the database conflicts script prior to attempting the upgrade:

                              http://www.vbulletin.com/forum/showt...threadid=73163
                              Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                              Change CKEditor Colors to Match Style (for 4.1.4 and above)

                              Steve Machol Photography


                              Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X